package com.fjhx.stock.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.entity.stock.StockTransfer;
import com.fjhx.params.stock.StockTransferVo;
import com.fjhx.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 转仓 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-13
 */
public interface StockTransferService extends BaseService<StockTransfer> {

    Page<Map<String, Object>> getPage(Map<String, String> condition);

    void add(List<StockTransferVo> stockTransferVoList);

    StockTransferVo details(Long id);

    void check(StockTransferVo stockTransferVo);

    Map<String, Object> webStatistics(Condition condition);

    Page<Map<String, Object>> webPage(Condition condition);

}
